Last Comment Bug 858012 - build failure on CentOS due to nsSpeechTask.cpp: error: ‘Blocking’ is not a class or namespace
: build failure on CentOS due to nsSpeechTask.cpp: error: ‘Blocking’ is not a ...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: 23 Branch
: x86 Windows 7
: -- normal (vote)
: mozilla23
Assigned To: sarat.addepalli
:
Mentors:
Depends on:
Blocks: 525444
  Show dependency treegraph
 
Reported: 2013-04-04 05:28 PDT by sarat.addepalli
Modified: 2013-04-07 12:11 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
nsSpeechTask.cpp.patch (606 bytes, patch)
2013-04-04 05:28 PDT, sarat.addepalli
bugs: review+
Details | Diff | Splinter Review

Description sarat.addepalli 2013-04-04 05:28:47 PDT
Created attachment 733275 [details] [diff] [review]
nsSpeechTask.cpp.patch

User Agent: Mozilla/5.0 (Windows NT 6.1; rv:20.0) Gecko/20100101 Firefox/20.0
Build ID: 20130326150557

Steps to reproduce:

This is still my first day, tinkering around with mozilla-central.

Followed the documented steps towards my first build.

Relevant information: 
output of `c++ --version´ is:

c++ (GCC) 4.4.7 20120313 (Red Hat 4.4.7-3)
Copyright (C) 2010 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Output of `hg tip´ is: 
changeset:   127562:445d8eecdd80
tag:         tip
user:        Matt Brubeck <mbrubeck@mozilla.com>
date:        Wed Apr 03 15:42:16 2013 -0700
summary:     Bug 855593 - Support ac_add_app_options in mozbuild.mozconfig [r=gps]



Actual results:

I first encountered Bug number 857994 (https://bugzilla.mozilla.org/show_bug.cgi?id=857994) . I patched that bug, as shown in the attachment.

diff -r 445d8eecdd80 content/media/webspeech/synth/SpeechSynthesis.h
--- a/content/media/webspeech/synth/SpeechSynthesis.h	Wed Apr 03 15:42:16 2013 -0700
+++ b/content/media/webspeech/synth/SpeechSynthesis.h	Thu Apr 04 17:16:36 2013 +0530
@@ -62,7 +62,7 @@
 
   nsCOMPtr<nsPIDOMWindow> mParent;
 
-  nsTArray<nsRefPtr<SpeechSynthesisUtterance>> mSpeechQueue;
+  nsTArray<nsRefPtr <SpeechSynthesisUtterance> > mSpeechQueue;
 
   nsRefPtr<nsSpeechTask> mCurrentTask;
 

after this,  running ./mach build still gives the following error:

 1:24.28 nsISynthVoiceRegistry.idl
 1:25.27 /data/sarat/mozilla/mozilla-central/content/media/webspeech/synth/nsSpeechTask.cpp: In member function ‘virtual void mozilla::dom::SynthStreamListener::NotifyBlockingChanged(mozilla::MediaStreamGraph*, mozilla::MediaStreamListener::Blocking)’:
 1:25.27 /data/sarat/mozilla/mozilla-central/content/media/webspeech/synth/nsSpeechTask.cpp:55: error: ‘Blocking’ is not a class or namespace
 1:25.39
 1:25.39 In the directory  /data/sarat/mozilla/mozilla-central/obj-x86_64-unknown-linux-gnu/content/media/webspeech/synth
 1:25.39 The following command failed to execute properly:
 1:25.40 c++ -o nsSpeechTask.o -c -I../../../../dist/stl_wrappers -I../../../../dist/system_wrappers -include /data/sarat/mozilla/mozilla-central/config/gcc_hidden.h -D_IMPL_NS_LAYOUT -DMOZ_GLUE_IN_PROGRAM -DMOZILLA_INTERNAL_API -D_IMPL_NS_COM -DEXPORT_XPT_API -DEXPORT_XPTC_API -D_IMPL_NS_GFX -D_IMPL_NS_WIDGET -DIMPL_XREAPI -DIMPL_NS_NET -DIMPL_THEBES -DSTATIC_EXPORTABLE_JS_API -DNO_NSPR_10_SUPPORT -DEXCLUDE_SKIA_DEPENDENCIES -DOS_POSIX=1 -DOS_LINUX=1 -I/data/sarat/mozilla/mozilla-central/dom/base -I/data/sarat/mozilla/mozilla-central/dom/battery -I/data/sarat/mozilla/mozilla-central/dom/encoding -I/data/sarat/mozilla/mozilla-central/dom/file -I/data/sarat/mozilla/mozilla-central/dom/power -I/data/sarat/mozilla/mozilla-central/dom/push -I/data/sarat/mozilla/mozilla-central/dom/quota -I/data/sarat/mozilla/mozilla-central/dom/media -I/data/sarat/mozilla/mozilla-central/dom/network/src -I/data/sarat/mozilla/mozilla-central/dom/settings -I/data/sarat/mozilla/mozilla-central/dom/phonenumberutils -I/data/sarat/mozilla/mozilla-central/dom/contacts -I/data/sarat/mozilla/mozilla-central/dom/permission -I/data/sarat/mozilla/mozilla-central/dom/alarm -I/data/sarat/mozilla/mozilla-central/dom/src/events -I/data/sarat/mozilla/mozilla-central/dom/src/storage -I/data/sarat/mozilla/mozilla-central/dom/src/offline -I/data/sarat/mozilla/mozilla-central/dom/src/geolocation -I/data/sarat/mozilla/mozilla-central/dom/src/notification -I/data/sarat/mozilla/mozilla-central/dom/workers -I/data/sarat/mozilla/mozilla-central/dom/time -I/data/sarat/mozilla/mozilla-central/content/xbl/src -I/data/sarat/mozilla/mozilla-central/content/xul/document/src -I/data/sarat/mozilla/mozilla-central/content/events/src -I/data/sarat/mozilla/mozilla-central/content/base/src -I/data/sarat/mozilla/mozilla-central/content/html/content/src -I/data/sarat/mozilla/mozilla-central/content/html/document/src -I/data/sarat/mozilla/mozilla-central/content/media/webaudio -I/data/sarat/mozilla/mozilla-central/content/svg/content/src -I/data/sarat/mozilla/mozilla-central/layout/generic -I/data/sarat/mozilla/mozilla-central/layout/style -I/data/sarat/mozilla/mozilla-central/layout/xul/base/src -I/data/sarat/mozilla/mozilla-central/layout/xul/tree -I/data/sarat/mozilla/mozilla-central/dom/camera -I/data/sarat/mozilla/mozilla-central/content/media/webspeech -I/data/sarat/mozilla/mozilla-central/content/media/webspeech/synth -I/data/sarat/mozilla/mozilla-central/content/media/webspeech/synth/ipc -I/data/sarat/mozilla/mozilla-central/ipc/chromium/src -I/data/sarat/mozilla/mozilla-central/ipc/glue -I../../../../ipc/ipdl/_ipdlheaders -I/data/sarat/mozilla/mozilla-central/content/media/webspeech/synth -I. -I../../../../dist/include -I/data/sarat/mozilla/mozilla-central/obj-x86_64-unknown-linux-gnu/dist/include/nspr -I/data/sarat/mozilla/mozilla-central/obj-x86_64-unknown-linux-gnu/dist/include/nss -fPIC -Wall -Wpointer-arith -Woverloaded-virtual -Werror=return-type -Wtype-limits -Wempty-body -Wsign-compare -Wno-invalid-offsetof -Wcast-align -fno-exceptions -fno-strict-aliasing -fno-rtti -ffunction-sections -fdata-sections -fno-exceptions -fshort-wchar -pthread -pipe -DNDEBUG -DTRIMMED -g -Os -freorder-blocks -fomit-frame-pointer -DMOZILLA_CLIENT -include ../../../../mozilla-config.h -MD -MF .deps/nsSpeechTask.o.pp /data/sarat/mozilla/mozilla-central/content/media/webspeech/synth/nsSpeechTask.cpp
 1:25.40 gmake[8]: *** [nsSpeechTask.o] Error 1
 1:25.40 gmake[7]: *** [synth_libs] Error 2
 1:25.40 gmake[6]: *** [webspeech_libs] Error 2
 1:25.40 gmake[6]: *** Waiting for unfinished jobs....
 1:26.35 /data/sarat/mozilla/mozilla-central/content/media/MediaStreamGraph.cpp: In member function ‘void mozilla::MediaStreamGraphImpl::PlayVideo(mozilla::MediaStream*)’:
 1:26.35 /data/sarat/mozilla/mozilla-central/content/media/MediaStreamGraph.cpp:816: warning: ‘start’ may be used uninitialized in this function
 1:26.35 /data/sarat/mozilla/mozilla-central/content/media/MediaStreamGraph.cpp:818: warning: ‘track’ may be used uninitialized in this function
 1:27.19 gmake[5]: *** [media_libs] Error 2
 1:27.20 gmake[4]: *** [libs_tier_platform] Error 2
 1:27.20 gmake[3]: *** [tier_platform] Error 2
 1:27.20 gmake[2]: *** [default] Error 2
 1:27.20 gmake[1]: *** [realbuild] Error 2
 1:27.20 gmake: *** [build] Error 2
 1:27.21 0 compiler warnings present.



Expected results:

In the file content/media/webspeech/synth/nsSpeechTask.cpp, on line 55, UNBLOCKED is one of the values that the enum  mozilla::MediaStreamListener::Blocking can take.
It should be referred to as mozilla::MediaStreamListener::UNBLOCKED instead of mozilla::MediaStreamListener::Blocking::UNBLOCKED.

After patching this, build succeeds. 
I'm attaching the patch file generated by  `hg diff content/media/webspeech/synth/nsSpeechTask.cpp >> nsSpeechTask.cpp.patch´
Comment 1 Olli Pettay [:smaug] 2013-04-06 15:30:04 PDT
Pushed to try to make sure it compiles everywhere, https://tbpl.mozilla.org/?tree=Try&rev=c5f0581c3d33
Comment 2 Olli Pettay [:smaug] 2013-04-06 16:12:48 PDT
Comment on attachment 733275 [details] [diff] [review]
nsSpeechTask.cpp.patch

https://hg.mozilla.org/integration/mozilla-inbound/rev/63bfbc612e21
Comment 3 Phil Ringnalda (:philor, back in August) 2013-04-07 12:11:39 PDT
https://hg.mozilla.org/mozilla-central/rev/63bfbc612e21

Note You need to log in before you can comment on or make changes to this bug.